using IRaCIS.Core.Application.Service.WorkLoad.DTO;

namespace IRaCIS.Application.Services
{
    public interface IEnrollService
    {
        Task<IResponseOutput> AddOrUpdateEnroll(EnrollCommand addOrUpdateModel);
        Task<IResponseOutput> ApproveReviewer(Guid trialId, Guid[] doctorIdArray, int auditState);
        //Task<IResponseOutput> ConfirmReviewer(Guid trialId, Guid[] doctorIdArray, int confirmState);
        Task<IResponseOutput> EnrollBackOrOut(Guid trialId, Guid doctorId, int optType, DateTime? outEnrollTime);
        Task<PageOutput<EnrollViewModel>> GetTrialDoctorList(EnrollGetQuery challengeQuery);
        Task<IResponseOutput> SelectReviewers(Guid trialId, Guid[] doctorIdArray);
        Task<IResponseOutput> SubmitReviewer(Guid trialId, Guid[] doctorIdArray, int commitState);
    }
}